Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.transport
Class MuleUniversalDestination.ResponseConduit

    java.lang.Object
      org.apache.cxf.transport.AbstractObservable
          org.apache.cxf.transport.AbstractConduit
              org.mule.module.cxf.transport.MuleUniversalDestination.ResponseConduit

All Implemented Interfaces:
  org.apache.cxf.transport.Conduit, org.apache.cxf.transport.Observable

Enclosing class:
  MuleUniversalDestination

    public class MuleUniversalDestination.ResponseConduit

extends org.apache.cxf.transport.AbstractConduit

Field Summary

Fields inherited from class org.apache.cxf.transport.AbstractConduit
`target`

Fields inherited from class org.apache.cxf.transport.AbstractObservable
`incomingObserver`

Constructor Summary
`MuleUniversalDestination.ResponseConduit(org.apache.cxf.ws.addressing.EndpointReferenceType arg0)`

Method Summary
`void` | `close(org.apache.cxf.message.Message message)`
`protected Logger` | `getLogger()`
`void` | `prepare(org.apache.cxf.message.Message message)`

Methods inherited from class org.apache.cxf.transport.AbstractConduit
`close, getTarget, toString`

Methods inherited from class org.apache.cxf.transport.AbstractObservable
`activate, deactivate, getMessageObserver, getTargetReference, getTargetReference, setMessageObserver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.transport.Observable
`getMessageObserver, setMessageObserver`

Constructor Detail

### MuleUniversalDestination.ResponseConduit

    public MuleUniversalDestination.ResponseConduit(org.apache.cxf.ws.addressing.EndpointReferenceType arg0)

Method Detail

### prepare

    public void prepare(org.apache.cxf.message.Message message)
                 throws IOException

  Throws:
    `IOException`

### close

    public void close(org.apache.cxf.message.Message message)
               throws IOException

  Specified by:
    `close` in interface `org.apache.cxf.transport.Conduit`
  Overrides:
    `close` in class `org.apache.cxf.transport.AbstractConduit`
  Throws:
    `IOException`

### getLogger

    protected Logger getLogger()

  Specified by:
    `getLogger` in class `org.apache.cxf.transport.AbstractObservable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.